cURL
curl https://api.bodhveda.com/preferences/42 \
-H "Authorization: Bearer bv_xxxxxxxxx"import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const pref = await bodhveda.preferences.get(42);import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
pref, _ := client.Preferences.Get(ctx, 42){
"data": {
"id": 12,
"project_id": 1,
"target": {
"channel": "digest",
"topic": "none",
"event": "sent"
},
"medium": "email",
"default_enabled": true,
"label": "Daily digest",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>"
}Project Preferences
Get a catalog entry
Retrieve a single catalog entry by ID.
GET
/
preferences
/
{preference_id}
cURL
curl https://api.bodhveda.com/preferences/42 \
-H "Authorization: Bearer bv_xxxxxxxxx"import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const pref = await bodhveda.preferences.get(42);import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
pref, _ := client.Preferences.Get(ctx, 42){
"data": {
"id": 12,
"project_id": 1,
"target": {
"channel": "digest",
"topic": "none",
"event": "sent"
},
"medium": "email",
"default_enabled": true,
"label": "Daily digest",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>"
}Retrieve a single catalog entry by its ID.